%global _empty_manifest_terminate_build 0
Name:           python-os-win
Version:        5.4.0
Release:        3
Summary:        Windows / Hyper-V library for OpenStack projects.
License:        Apache-2.0
URL:            http://www.cloudbase.it/
Source0:        https://files.pythonhosted.org/packages/00/5c/bf5faff804f71f01a99396b0fc35a6c0ec0b5af72c7975753121c3b8379f/os-win-5.4.0.tar.gz
BuildArch:      noarch
%description
This library contains Windows / Hyper-V code commonly used in the OpenStack \
projects: nova, cinder, networking-hyperv. The library can be used in any \
other OpenStack projects where it is needed.

%package -n python3-os-win
Summary:        Windows / Hyper-V library for OpenStack projects.
Provides:       python-os-win
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-eventlet
BuildRequires:  python3-oslo-concurrency
BuildRequires:  python3-oslo-config
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-log
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-stestr
BuildRequires:  python3-ddt
BuildRequires:  python3-oslotest
BuildRequires:  python3-pycodestyle
BuildRequires:  python3-hacking
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-coverage
# General requires
Requires:       python3-eventlet
Requires:       python3-oslo-concurrency
Requires:       python3-oslo-config
Requires:       python3-oslo-i18n
Requires:       python3-oslo-log
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr

# Test requires
Requires:   python3-subunit
Requires:   python3-oslotest
Requires:   python3-os-testr
Requires:   python3-testtools
Requires:   python3-testrepository
Requires:   python3-testscenarios
Requires:   python3-stestr

%description -n python3-os-win
This library contains Windows / Hyper-V code commonly used in the OpenStack \
projects: nova, cinder, networking-hyperv. The library can be used in any \
other OpenStack projects where it is needed.

%package help
Summary:        Windows / Hyper-V library for OpenStack projects.
Provides:       python3-os-win-doc
%description help
This library contains Windows / Hyper-V code commonly used in the OpenStack \
projects: nova, cinder, networking-hyperv. The library can be used in any \
other OpenStack projects where it is needed.

%prep
%autosetup -n os-win-5.4.0

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
export OS_TEST_PATH='./os_win/tests/unit'
export PATH=$PATH:$RPM_BUILD_ROOT/usr/bin
export PYTHONPATH=$PWD
PYTHON=%{__python3} stestr-3 --test-path $OS_TEST_PATH run

%files -n python3-os-win -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 5.4.0-3
- Fix install error

* Tue Aug 03 2021 wangxiyuan <wangxiyuan1007@gmail.com> - 5.4.0-2
- Drop wrong requires
* Fri Jul 23 2021 OpenStack_SIG <openstack@openeuler.org> - 5.4.0-1
- Update to 5.4.0 
* Wed Jan 20 2021 zhangy1317 <zhangy1317@foxmail.com> 2021.1.20
- Update to 2021.1.20
